﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace autocomleteCombo
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			
			
			var accounts = this.GetAccounts();
			((AccountDescriptions)this.Resources["Descriptions"]).Accounts = accounts;
			((GridViewComboBoxColumn)this.RadGridView1.Columns["AccountID"]).ItemsSource = accounts;
			this.RadGridView1.ItemsSource = GetPersons();
		}



		private List<Account> GetAccounts()
		{
			List<Account> accounts = new List<Account>();

			for (int i = 0; i < 100; i++)
			{
				accounts.Add(new Account() { ID = i, Number = i * 100, Description = "Desc" + i });
			}

			return accounts;
		}

		private List<Person> GetPersons()
		{
			List<Person> persons = new List<Person>();
			persons.Add(new Person(){ ID = 1, AccountID = 1, Property1 = "asdfasd", Property2 = "asdfasdfas"});
			persons.Add(new Person(){ ID = 2, AccountID = 2, Property1 = "asdfasd", Property2 = "asdfasdfas"});
			persons.Add(new Person(){ ID = 3, AccountID = 3, Property1 = "asdfasd", Property2 = "asdfasdfas"});
			persons.Add(new Person() { ID = 4, AccountID = 4, Property1 = "asdfasd", Property2 = "asdfasdfas" });
			

			return persons;
		}

		private void RadComboBox_GotFocus(object sender, RoutedEventArgs e)
		{
			((RadComboBox)sender).IsDropDownOpen = true;
		}
	}

	public class Account
	{
		public int ID { get; set; }
		public int Number { get; set; }
		public string Description { get; set; }
	}

	public class Person
	{
		public int ID { get; set; }
		public int AccountID { get; set; }
		public string Property1 { get; set; }
		public string Property2 { get; set; }
	}
}
